import request from '@/utils/request'

// 查询设备档案信息列表
export function listDmsFiles(query) {
  return request({
    url: '/dms/dmsFiles/list',
    method: 'get',
    params: query
  })
}

// 查询设备档案信息详细
export function getDmsFiles(deviceFilesId) {
  return request({
    url: '/dms/dmsFiles/' + deviceFilesId,
    method: 'get'
  })
}

// 新增设备档案信息
export function addDmsFiles(data) {
  return request({
    url: '/dms/dmsFiles',
    method: 'post',
    data: data
  })
}

// 修改设备档案信息
export function updateDmsFiles(data) {
  return request({
    url: '/dms/dmsFiles',
    method: 'put',
    data: data
  })
}

// 删除设备档案信息
export function delDmsFiles(deviceFilesId) {
  return request({
    url: '/dms/dmsFiles/' + deviceFilesId,
    method: 'delete'
  })
}
